library(shipunov)
library(ape)

if(0){
setwd("99_mp_mb_trees")
broad <- read.tree("20190601_124556_broad_mb_plantago.tre")
hbroad <- read.tree("20190602_092820_broad_mb_plantago.tre")
tall <- read.tree("20190531_024744_tall_mb_plantago.tre")
htall <- read.tree("20190602_044846_tall_mb_plantago.tre")

broad$node.label[broad$node.label == "NA"] <- ""
hbroad$node.label[hbroad$node.label == "NA"] <- ""

mean(as.numeric(broad$node.label), na.rm=TRUE)
mean(as.numeric(hbroad$node.label), na.rm=TRUE)

tall$node.label[tall$node.label == "NA"] <- ""
htall$node.label[htall$node.label == "NA"] <- ""

mean(as.numeric(tall$node.label), na.rm=TRUE)
mean(as.numeric(htall$node.label), na.rm=TRUE)
setwd(..)
}

setwd("40_concatenated")
missed <- as.numeric(system("tr -cd 'N' < semistrict_orig.fasta | wc -c", intern=TRUE))
notmissed <- as.numeric(system("tr -cd 'ATGC' < semistrict_orig.fasta | wc -c", intern=TRUE))
missed/(missed + notmissed)
setwd("..")
